Summary:	Download and Install Telegram
Name:		get-telegram
Version:	0.9.2
Release:	%mkrel 2
License:	GPLv3
Group:		Networking/Instant messaging
URL:		https://telegram.org
BuildArch:	noarch

Requires:	wget
Requires:	xz
Requires:	zenity

Source0:	get-telegram
Source1:	telegramdesktop.desktop
Source2:	icon.png

%description
This is a downloader script for Telegram.

This package does not contain any program files. By installing this
package you'll get the option to download and install Telegram from
telegram.org.
Removing this package won't uninstall Telegram from your system. You
can do this manually by removing "~/.TelegramDesktop/application"
directory.

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 755 %{SOURCE0} %{buildroot}%{_bindir}/get-telegram
install -d -m 0755 %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

install -d -m 0755 %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/telegram.png
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/telegram.png

%files
%{_bindir}/get-telegram
%{_datadir}/applications/telegramdesktop.desktop
%{_iconsdir}/telegram.png
%{_iconsdir}/hicolor/*/apps/telegram.png


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.9.2-2.mga6
+ Revision: 970440
- Mageia 6 Mass Rebuild

* Tue Oct 06 2015 sander85 <sander85> 0.9.2-1.mga6
+ Revision: 886640
- Update description
- imported package get-telegram

